# Note: This tests the rules_python integration example. The repository also contains
# examples/rules_venv and examples/aspect_rules_py which demonstrate integration with
# other Python rule sets. Only one test module path can be specified in bcr_test_module.
bcr_test_module:
  module_path: "examples/rules_python"
  matrix:
    platform: ["ubuntu2004", "ubuntu2004_arm64", "macos_arm64"]
    bazel: ["7.x", "8.x"]
  tasks:
    run_test_module:
      name: "Run test module"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - "//..."
